> ## Documentation Index
> Fetch the complete documentation index at: https://developer.transactbridge.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Order Details

> This API retrieves the latest status from the top-up server and returns the updated information in its response. The providerOrderDetails field contains the most recent data fetched directly from the top-up server.



## OpenAPI

````yaml /api-reference/distributions/distribution.json post /billingSession/v1.0/getOrderDetails
openapi: 3.0.3
info:
  title: Mandate API
  description: API's to add and get mandate information.
  version: 1.0.0
servers:
  - url: https://sandbox-api.transactbridge.com
    description: Sandbox Environment
  - url: https://api.transactbridge.com
    description: Production Environment
security:
  - ApiKeyAuth: []
    SignatureAuth: []
paths:
  /billingSession/v1.0/getOrderDetails:
    post:
      tags:
        - Distribution
      summary: Get Order Details
      description: >-
        This API retrieves the latest status from the top-up server and returns
        the updated information in its response. The providerOrderDetails field
        contains the most recent data fetched directly from the top-up server.
      operationId: getOrderDetails
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - billingSessionId
              properties:
                billingSessionId:
                  type: string
                  description: billingSessionId
      responses:
        '200':
          description: order details
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/getOrderDetails'
components:
  schemas:
    getOrderDetails:
      type: object
      properties:
        status:
          type: string
          description: The response from the API
        sub_status:
          type: string
          description: Used for internal purposes only
        data:
          type: object
          description: order details
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: Merchant API Key
    SignatureAuth:
      type: apiKey
      in: header
      name: x-signature
      description: Generated request signature

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.